Package Details: glib2-git 2.67.3.9.g203e078fd-1

Git Clone URL: https://aur.archlinux.org/glib2-git.git (read-only, click to copy)
Package Base: glib2-git
Description: Low Level Core Library
Upstream URL: https://wiki.gnome.org/Projects/GLib
Licenses: LGPL2.1
Conflicts: glib2
Provides: glib2=2.67.3.9.g203e078fd, libgio-2.0.so, libglib-2.0.so, libgmodule-2.0.so, libgobject-2.0.so, libgthread-2.0.so
Submitter: kfgz
Maintainer: SolarAquarion
Last Packager: SolarAquarion
Votes: 47
Popularity: 0.83
First Submitted: 2010-09-20 13:24
Last Updated: 2021-02-08 13:45

Required by (1000)

Sources (4)

Latest Comments

1 2 3 Next › Last »

A.J commented on 2022-01-19 08:56

i get an error :

 
FAILED: glib/libglib-2.0.so.0.7100.0.p/ggettext.c.o 
cc -Iglib/libglib-2.0.so.0.7100.0.p -Iglib -I../glib/glib -I. -I../glib -flto=auto -fdiagnostics-color=always -D_FILE_OFFSET_BITS=64 -Wall -Winvalid-pch -Wextra -Wpedantic -std=gnu99 -D_GNU_SOURCE -fno-strict-aliasing -DG_ENABLE_DEBUG -Wduplicated-branches -Wimplicit-fallthrough -Wmisleading-indentation -Wunused -Wno-unused-parameter -Wno-cast-function-type -Wno-pedantic -Wno-format-zero-length -Wno-variadic-macros -Werror=format=2 -Werror=init-self -Werror=missing-include-dirs -Werror=pointer-arith -Wstrict-prototypes -Wno-bad-function-cast -Werror=declaration-after-statement -Werror=implicit-function-declaration -Werror=missing-prototypes -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security -fstack-clash-protection -fcf-protection -DG_DISABLE_CAST_CHECKS -fPIC -pthread '-DG_LOG_DOMAIN="GLib"' -DGLIB_COMPILATION -fvisibility=hidden -MD -MQ glib/libglib-2.0.so.0.7100.0.p/ggettext.c.o -MF glib/libglib-2.0.so.0.7100.0.p/ggettext.c.o.d -o glib/libglib-2.0.so.0.7100.0.p/ggettext.c.o -c ../glib/glib/ggettext.c
../glib/glib/ggettext.c: In function ‘g_dcgettext’:
../glib/glib/ggettext.c:429:10: error: implicit declaration of function ‘dcgettext’ [-Werror=implicit-function-declaration]
  429 |   return dcgettext (domain, msgid, category);
      |          ^~~~~~~~~
../glib/glib/ggettext.c:429:10: warning: incompatible implicit declaration of built-in function ‘dcgettext’ [-Wbuiltin-declaration-mismatch]
cc1: some warnings being treated as errors

tallero commented on 2021-02-08 06:37

Agreed on @ignapk. Updated PKGBUILD https://gitlab.com/tallero/glib2-git-aur

ignapk commented on 2021-02-05 02:36

Please add

provides+=(libgio-2.0.so libglib-2.0.so libgmodule-2.0.so libgobject-2.0.so libgthread-2.0.so)

in the package_glib2() function so it's possible to replace glib2 with this package.

shoober420 commented on 2020-10-06 18:57

Can you please add “ CFLAGS+=" -DG_DISABLE_CAST_CHECKS" to the “build()” section of the PKGBUILD to reflect the official repo options?

Salamandar commented on 2018-06-27 14:49

This package could be built with Meson now.

There was a typo for _pkgname.

The paths (srcdir/pkgdir) were not always specified.

I fixed all that here: https://gist.github.com/Salamandar/ca33c73f3ac2cb904bdce8ea77e8b064

SolarAquarion commented on 2018-04-18 12:18

@lubosz

https://git.archlinux.org/svntogit/packages.git/tree/trunk?h=packages/glib2

Salamandar commented on 2016-02-17 18:23

Thanks mnovick. I'll flag the package out-of-date.

EndlessEden commented on 2015-12-12 08:57

please update pkgbuild |

prepare() {
cd $pkgname/
touch gtk-doc.make
sed -i '1i\EXTRA_DIST=""\nCLEANFILES=""\n' docs/reference/{gio,gobject,glib}/Makefile.am
}

haawda commented on 2015-09-12 14:57

Please arevert-warn-glib-compile-schemas.patch from the package in [core]. This avoids lots of useless warnings when installing packages that depend on glib2-git.

luolimao commented on 2013-11-01 04:04

Or you could just rebuild...? (I get version 2.39.0.56.ge6d19a2-1 automatically when I run makepkg)